Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157307 - gnome-terminal opening a new pty oopses the kernel
Summary: gnome-terminal opening a new pty oopses the kernel
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-10 14:18 UTC by Bill Nottingham
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 17:00:14 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2005-05-10 14:18:41 UTC
Description of problem:

After running fine for ~10 days, opening a new pty in gnome-terminal oopses the
kernel.

Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
00000000
*pde = 551bb067
Oops: 0000 [#1]
Modules linked in: rfcomm l2cap bluetooth loop tun radeon drm nfs lockd
parport_pc lp parport arc4 ieee80211_crypt_wep md5 ipv6 autofs4 pcmcia sunrpc
ipt_REJECT ipt_state ip_conntrack iptable_filter ip_tables dm_mod video ibm_acpi
button battery ac yenta_socket rsrc_nonstatic pcmcia_core uhci_hcd ehci_hcd
hw_random tpm_nsc tpm i2c_i801 i2c_core snd_intel8x0m snd_intel8x0
snd_ac97_codec snd_pcm_oss snd_mixer_oss snd_pcm snd_timer snd soundcore
snd_page_alloc ipw2200 ieee80211 ieee80211_crypt e1000 joydev ext3 jbd
CPU:    0
EIP:    0060:[<00000000>]    Not tainted VLI
EFLAGS: 00210286   (2.6.11-1.1261_FC4)
EIP is at 0x0
eax: c5615000   ebx: 01200011   ecx: 00000000   edx: 00000000
esi: f4691000   edi: f5d32bc4   ebp: c5615000   esp: c5615fc4
ds: 007b   es: 007b   ss: 0068
Process gnome-terminal (pid: 3870, threadinfo=c5615000 task=f4691000)
Stack: 01202011 00000000 00000000 00000000 b7fa8708 bffc6dfc 00000000 0020007b
       c010007b 00000078 00bbb7e2 00000073 00200282 bffc6d8c 0000007b
Call Trace:
Code:  Bad EIP value.


Will try a newer kernel later... this just spontaneously started. :/

Comment 1 Dave Jones 2005-09-28 08:54:17 UTC
did this ever show up again ?


Comment 2 Bill Nottingham 2005-09-28 17:00:14 UTC
No.


Note You need to log in before you can comment on or make changes to this bug.